✨ New Gift Cards API Live Now - Beta!
curl --request POST \
--url https://api.gameboost.com/v2/account-offers/{account}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": [
"Login: newuser1\nPassword: pass123",
"Login: newuser2\nPassword: pass456"
]
}
'{
"message": "2 credentials added successfully.",
"created_count": 2,
"duplicate_count": 0,
"data": [
{
"id": 123,
"credentials": "<string>",
"account_offer_id": 123,
"account_order_id": 123,
"is_sold": true,
"created_at": 123,
"updated_at": 123
}
]
}Bulk add new credentials to a specific account offer. Duplicate credentials within the same account offer are automatically skipped. Only available for non-legacy accounts.
curl --request POST \
--url https://api.gameboost.com/v2/account-offers/{account}/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": [
"Login: newuser1\nPassword: pass123",
"Login: newuser2\nPassword: pass456"
]
}
'{
"message": "2 credentials added successfully.",
"created_count": 2,
"duplicate_count": 0,
"data": [
{
"id": 123,
"credentials": "<string>",
"account_offer_id": 123,
"account_order_id": 123,
"is_sold": true,
"created_at": 123,
"updated_at": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the account offer
Array of credential strings to add
1500[
"Login: newuser1\nPassword: pass123",
"Login: newuser2\nPassword: pass456"
]
Was this page helpful?